Page MenuHomePhabricator

Port Parsoid/JS JSON extension to Parsoid/PHP
Closed, ResolvedPublic

Description

We never ported this code. But, this is not a blocker to live traffic deployment.

Event Timeline

ssastry triaged this task as Medium priority.Nov 5 2019, 9:10 PM
ssastry created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 5 2019, 9:10 PM
ssastry moved this task from Backlog to Porting on the Parsoid-PHP board.Nov 5 2019, 9:10 PM
Reedy updated the task description. (Show Details)Jan 21 2020, 6:38 PM
Sbailey claimed this task.Jan 21 2020, 7:56 PM

Change 570725 had a related patch set uploaded (by Sbailey; owner: Sbailey):
[mediawiki/services/parsoid@master] WIP JSONContentModelHandler porting

https://gerrit.wikimedia.org/r/570725

Change 575332 had a related patch set uploaded (by Sbailey; owner: Sbailey):
[mediawiki/services/parsoid@master] Porting JSON extension part 2 adapting to use ParsoidAPI interface

https://gerrit.wikimedia.org/r/575332

Change 570725 merged by jenkins-bot:
[mediawiki/services/parsoid@master] JSONContentModelHandler porting

https://gerrit.wikimedia.org/r/570725

Change 575592 had a related patch set uploaded (by Sbailey; owner: Sbailey):
[mediawiki/services/parsoid@master] Porting JSON extension part 2, using ParsoidAPI interface

https://gerrit.wikimedia.org/r/575592

Change 575332 abandoned by Sbailey:
Porting JSON extension part 2 adapting to use ParsoidAPI interface

https://gerrit.wikimedia.org/r/575332

ssastry closed this task as Resolved.Feb 28 2020, 9:16 PM

Change 576487 had a related patch set uploaded (by Sbailey; owner: Sbailey):
[mediawiki/services/parsoid@master] Fixed casing in content model key

https://gerrit.wikimedia.org/r/576487

Change 575592 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Have json extention subclass contentModelHandlerExtension

https://gerrit.wikimedia.org/r/575592

Change 576487 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Fixed casing in content model key

https://gerrit.wikimedia.org/r/576487

JSON extension ported from JS to PHP complete.
1 Port-fixme is still present due to a dependence on addMetaData that is not avaialble yet to extensions.
Part of the addMetaData functionality was duplicated in the extension in the mean time.